List Journey Nodes
curl --request GET \
--url https://integration.getmateo.com/api/v1/journey_node \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/journey_node"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/journey_node', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/journey_node",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/journey_node"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integration.getmateo.com/api/v1/journey_node")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/journey_node")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "random uuid",
"journey_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "trigger",
"event_type": "contact_created",
"extra_context_schema": {},
"name": "<string>"
}
]Journey Node
List Journey Nodes
Retrieve a list of journey nodes
List Journey Nodes
curl --request GET \
--url https://integration.getmateo.com/api/v1/journey_node \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/journey_node"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/journey_node', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/journey_node",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/journey_node"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integration.getmateo.com/api/v1/journey_node")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/journey_node")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "random uuid",
"journey_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "trigger",
"event_type": "contact_created",
"extra_context_schema": {},
"name": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Journey node ID
Journey version ID
Organisation ID
Node type
Event type for trigger nodes
Schema for additional context data
Node name
Filtering Columns
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Journey node ID
Journey version ID
Organisation ID
Node type
Available options:
trigger, form, filter, wait_for_event, wait_until, wait_for_time, send_message, if_else, switch, set_conversation_status, move_conversation_to_inbox, set_conversation_is_spam, set_conversation_assignee, update_contact_list_membership, update_conversation_tag, add_conversation_comment, set_contact_value, set_deal_value, set_appointment_value, update_marketing_subscription, segment_filter, http_request Event type for trigger nodes
Available options:
contact_created, contact_changed, deal_created, deal_changed, appointment_created, appointment_changed, deal_won, deal_lost, appointment_confirmed, appointment_cancelled, message_inbound, appointment_started, appointment_ended, appointment_approaching, marketing_subscription_accepted, date, birthday, message_action_click, conversation_closed, conversation_reopened, http, review_request_submitted, review_submitted, form_completed, message_outbound, message_sending_error, custom_entity_created, custom_entity_changed Schema for additional context data
Node name